Subject: Gnu-Win32 g++ can't compile ...
From: [email-masked] ("Mark Hadfield")

16 May 1997 21:54:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Gnu-Win32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
Original-Sender: [email-masked]

I downloaded Robert Pierce's numerical array extensions to libg++
(g++array-0.9.2.tar.gz) and tried to compile a test program. It works OK on
a DEC alpha box running Digital Unix (gcc version 2.7.2.1) and on my PC
using the EMX+RSXNT port of the Gnu tools (also reports gcc version
2.7.2.1) but under Gnu-Win32 beta18 or beta17.1 I get:

In file included from ../include/mArray.h:22,
                 from marr_test.C:19:
.../include/array_store.h:145: syntax error before `{'
.../include/array_store.h:148: syntax error before `public'
g++: Internal compiler error: program cc1plus got fatal signal 33

array_store.h is full of template definitions (which don't mean much to me
yet) and the place where the "syntax error" is detected is about the 8th
such definition:

template<class T>                                   // line 143
class value_mask_pointer : public mask_pointer      // line 144
{                                                   // line 145
private:                                            // line 146
  size_t s_;                                        // line 147
public:                                             // line 148
  value_mask_pointer() : s_(0) {}                   // line 149

I checked this has nothing to do with binary vs text line endings etc.
Gnu-Win32 works fine on a variety of other programs. Any ideas?

==============================================================
 Mark Hadfield                        NIWA (Taihoro Nukurangi)
                                      PO Box 14-901
 [email-masked]               Wellington, New Zealand

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".